
variable "mysql_root_password" {
  description = "MySQL root password"
  type        = string
  sensitive   = true
}

variable "gitea_mysql_password" {
  description = "MySQL access password"
  type        = string
  sensitive   = true
}

variable "wireguard_private_key" {
  description = "Wireguard public key"
  type        = string
  sensitive   = true
}

variable "m3uproxy_admin_password" {
  description = "M3UProxy access password"
  type        = string
  sensitive   = true
}

variable "m3uproxy_secret" {
  description = "M3UProxy HMAC secret"
  type        = string
  sensitive   = true
}

variable "maxmind_license_key" {
  description = "Maxmind license key"
  type        = string
  sensitive   = true
}

variable "rustdesk_private_key" {
  description = "Rustdesk private key"
  type        = string
  sensitive   = true
}

variable "alexpires_me_email_password" {
  description = "POP3 password"
  type        = string
  sensitive   = true
}

variable "mail_crypt_private_key" {
  description = "Mailcrypt private key"
  type        = string
  sensitive   = true
}

variable "sftpgo_admin_password" {
  description = "SFTPGo admin password"
  type        = string
  sensitive   = true
}

variable "root_ca_pem" {
  description = "Root CA PEM"
  type        = string
  sensitive   = true
}

variable "root_ca_key" {
  description = "Root CA Key"
  type        = string
  sensitive   = true
}

variable "gitea_lfs_jwt_secret" {
  description = "Gitea LFS JWT secret"
  type        = string
  sensitive   = true
}

variable "gitea_secret_key" {
  description = "Gitea secret key"
  type        = string
  sensitive   = true
}

variable "gitea_internal_token" {
  description = "Gitea internal token"
  type        = string
  sensitive   = true
}

variable "gitea_jwt_secret" {
  description = "Gitea JWT secret"
  type        = string
  sensitive   = true
}

variable "server_api_duo_client_id" {
  description = "Duo client ID"
  type        = string
  sensitive   = true
}
variable "server_api_duo_client_secret" {
  description = "Duo client secret"
  type        = string
  sensitive   = true
}
variable "server_api_access_token" {
  description = "Access token for ssh_locker API"
  type        = string
  sensitive   = true
}

variable "wireguard_1_private_key" {
  description = "The private key for Wireguard"
  type        = string
  sensitive   = true
}

variable "wireguard_1_pre_shared_key" {
  description = "The pre-shared key for Wireguard"
  type        = string
  sensitive   = true
}

variable "nginx_token_bearer" {
  description = "Token bearer for nginx"
  type        = string
  sensitive   = true
}
